﻿@{
    ViewData["Title"] = "Goods";
}

@using Magaz.ViewModels
@using Magaz.Models
@using Microsoft.AspNetCore.Http
@inject IHttpContextAccessor HttpContextAccessor
@model BooksViewModel

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Krok</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="~/css/style.min.css">
</head>
<body>
    <section>
        <div class="container">
            <table class="table">
                <tr><td>Зображення</td><td>Назва</td><td>Автор</td><td>Ціна</td></tr>
                @foreach (var item in Model.Books)
                {
                    <tr>
                        <td>
                            @item.Image
                        </td>
                        <td>
                            @item.Name
                        </td>
                        <td>
                            @item.Author.Name
                        </td>
                        <td>
                            @item.Price
                        </td>
                        <td>
                            <a asp-action="Details" asp-controller="Home" asp-route-id="@item.Id">Детально</a> |
                            @if (HttpContextAccessor.HttpContext.User.IsInRole("admin"))
                            {
                                <a asp-action="Edit" asp-controller="Home" asp-route-id="@item.Id">Редагувати</a>
                                <a asp-action="Delete" asp-controller="Home" asp-route-id="@item.Id">Видалити</a>
                            }
                            else
                            {
                                <a asp-action="AddToBasket" asp-controller="Home" asp-route-bookid="@item.Id">Додати до корзини</a>
                            }


                           
                        </td>
                    </tr>
                }
            </table>
        @if (HttpContextAccessor.HttpContext.User.IsInRole("admin"))
        {
            <a asp-action="Create">Добавлення книги</a>
        }
        </div>
    </section>
    <script src="~/js/allscripts.min.js"></script>
</body>
</html>

